org.eclipse.cdt.core.dom.ast

## Interface IASTBinaryTypeIdExpression

All Superinterfaces:
  IASTExpression, IASTInitializerClause, IASTNode

    public interface IASTBinaryTypeIdExpression
    extends IASTExpression

Since:
  5.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

Nested Classes
`static class` `IASTBinaryTypeIdExpression.Operator` Built-in type traits of g++.

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`IASTExpression.ValueCategory`

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `OPERAND1`
`static ASTNodeProperty` `OPERAND2`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`EMPTY_EXPRESSION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTBinaryTypeIdExpression` `copy()` Returns a mutable copy of the tree rooted at this node.
`IASTBinaryTypeIdExpression` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTTypeId` `getOperand1()` Returns the first operand.
`IASTTypeId` `getOperand2()` Returns the second operand, or `null` if it was not provided (content assist).
`IASTBinaryTypeIdExpression.Operator` `getOperator()` Returns the operator for the expression.
`void` `setOperand1(IASTTypeId typeId)` Sets the first operand.
`void` `setOperand2(IASTTypeId typeId)` Sets the second operand.
`void` `setOperator(IASTBinaryTypeIdExpression.Operator value)` Sets the operator for the expression.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`getExpressionType, getValueCategory, isLValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### OPERAND1

    static final ASTNodeProperty OPERAND1

#### OPERAND2

    static final ASTNodeProperty OPERAND2

### Method Detail

#### getOperator

    IASTBinaryTypeIdExpression.Operator getOperator()

Returns the operator for the expression.

#### getOperand1

    IASTTypeId getOperand1()

Returns the first operand.

#### getOperand2

    IASTTypeId getOperand2()

Returns the second operand, or `null` if it was not provided (content assist).

#### setOperator

    void setOperator(IASTBinaryTypeIdExpression.Operator value)

Sets the operator for the expression.

#### setOperand1

    void setOperand1(IASTTypeId typeId)

Sets the first operand.

#### setOperand2

    void setOperand2(IASTTypeId typeId)

Sets the second operand.

#### copy

    IASTBinaryTypeIdExpression copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`

#### copy

    IASTBinaryTypeIdExpression copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.